
package org.apache.fop.fo.properties;

import org.apache.fop.datatypes.*;
import org.apache.fop.fo.*;
import org.apache.fop.apps.FOPException;
import org.apache.fop.messaging.MessageHandler;

public class LeaderPatternWidthMaker extends  LengthProperty.Maker {




    static public Property.Maker maker(String propName) {
	return new LeaderPatternWidthMaker(propName);
    }

    protected LeaderPatternWidthMaker(String name) {
	super(name);

    }


   public boolean isInherited() { return true; }

    public Property make(PropertyList propertyList) throws FOPException {
      
        return make(propertyList, "use-font-metrics", propertyList.getParentFObj());
	
    }

    protected String checkValueKeywords(String value) {
  
      if (value.equals("use-font-metrics")) {
	return new String("0pt");
      }
  
      return super.checkValueKeywords(value);
    }

    /** Return object used to calculate base Length
     * for percent specifications.
     */
    public PercentBase getPercentBase(final FObj fo, final PropertyList propertyList) {
     
	return new LengthBase(fo, propertyList, LengthBase.CONTAINING_BOX);
       
    }

}
